> For the complete documentation index, see [llms.txt](https://docs.rome.builders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rome.builders/ja/romenoapuri/bridge-api.md).

# Rome Bridge

Rome Bridge — 保管鍵のない、単体のブリッジと統合可能なAPI。

Rome Bridge は 2 つのものです。1 つは **スタンドアロンのブリッジ** Rome と 7 つの EVM チェーンおよび Solana の間にあるもので、もう 1 つは **Bridge API** 任意のアプリが統合して、自身の UX にブリッジ機能を埋め込めます。CCTP v2（USDC）、Solana ネイティブのレール（SOL と USDC）、そしてテストネットでは Wormhole（ETH を Rome へ）を通じて資産を移動します。

保持するのは **保管用キーはありません** — 決済には常にユーザー自身の署名が必要で、サービスの署名は不要です。API がオーケストレーションを行い、手数料を肩代わりすることもできます。実際のブリッジはオンチェーン上にあります。

## 対応チェーンと資産

ブリッジは Rubicon（メインネット）と Hadrian（公開テストネット）上で稼働します。それぞれに独自のブリッジページと API ホストがあります。転送にかかる見込み時間は見積りに含まれます。

両方のネットワークでは、SOL と USDC に加えて、 `POST /v1/quote` ただし `asset: "SPL"` および `splAsset: {mint, decimals}` Solana ウォレットと Rome の間で任意の SPL トークンの転送を返し、あなたのウォレットが返されたトランザクションに署名します。トークンは Rome 上でラッパーとして到着します。このルートは `/v1/routes`.

### Rubicon（メインネット）

| 資産                | 経路      | 方向                    | チェーン                                                    |
| ----------------- | ------- | --------------------- | ------------------------------------------------------- |
| **USDC**          | CCTP v2 | Rome への送金と Rome からの送金 | Ethereum, Base, Arbitrum, Polygon, Avalanche, Monad, OP |
| **SOL**, **USDC** | Solana  | Rome への送金と Rome からの送金 | Solana ウォレット                                            |

メインネットには ETH ルートはありません。MetaMask のガス不要モードは CCTP 入金で動作します。MetaMask のリレイヤーが入金を送信した場合、ブリッジはその入金者が見積りに記載された送信者であり、バーンが見積りと一致するなら受け入れます。リレイされたトランザクションにはバーンは 1 つしか含められません。

CCTP で Rome から USDC を移動する場合、ガス用 USDC ではなく wUSDC トークンを消費し、転送は送信先チェーンでの claim トランザクションで完了します。ブリッジページの Wrap タブは、1 回の署名でガスを wUSDC に変換します。

ルート一覧は [`/v1/routes`](https://bridge-api.mainnet.romeprotocol.xyz/v1/routes). [`/v1/chains`](https://bridge-api.mainnet.romeprotocol.xyz/v1/chains) Rome チェーンと、そのレジストリ資産および機能を一覧表示します。メインネットでは、その一覧に Wormhole と ETH もまだ記載されていますが、ETH ルートは存在しません。

### Hadrian（テストネット）

| 資産                | 経路       | 方向                    | チェーン                                                                                                      |
| ----------------- | -------- | --------------------- | --------------------------------------------------------------------------------------------------------- |
| **USDC**          | CCTP v2  | Rome への送金と Rome からの送金 | Ethereum Sepolia, Arbitrum Sepolia, Base Sepolia, Polygon Amoy, Avalanche Fuji, Monad Testnet, OP Sepolia |
| **ETH**           | Wormhole | Rome へ                | Ethereum Sepolia                                                                                          |
| **SOL**, **USDC** | Solana   | Rome への送金と Rome からの送金 | Solana ウォレット                                                                                              |

ライブのセットは常に [`/v1/routes`](https://bridge-api.devnet.romeprotocol.xyz/v1/routes) および [`/v1/chains`](https://bridge-api.devnet.romeprotocol.xyz/v1/chains)にあります。テスト用トークンが必要ですか？ [ファウセット](https://docs.rome.builders/ja/rissu/faucets.md).

## 単体で使う

使いたいネットワークのブリッジ UI を開いてください：

* Rubicon（メインネット）： [bridge-api.mainnet.romeprotocol.xyz](https://bridge-api.mainnet.romeprotocol.xyz/?chain=7531)
* Hadrian（テストネット）： [bridge-api.devnet.romeprotocol.xyz](https://bridge-api.devnet.romeprotocol.xyz/?chain=200010)

上記の `?chain=` パラメータで Rome チェーンを選択します。

## API を統合する

API は公開されています。対応チェーンとレールを一覧表示します：

```bash
curl https://bridge-api.mainnet.romeprotocol.xyz/v1/chains   # Rubicon
curl https://bridge-api.devnet.romeprotocol.xyz/v1/chains    # Hadrian
```

`POST /v1/quote` 転送の Rome 以外の側を `sourceChain`、両方向で受け取ります：CAIP-2（`eip155:8453`, `solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp`）または従来の名前 `ethereum` / `solana`、これは今でも `Sunset` ヘッダーで受け付けられます（CAIP-2 を使用してください）。 `GET /v1/routes` パラメータは不要で、利用可能な転送を一覧表示します。見積りリクエスト：

```bash
curl -X POST https://bridge-api.devnet.romeprotocol.xyz/v1/quote \\
  -H 'content-type: application/json' \\
  -d '{"asset":"USDC","direction":"to-rome","sourceChain":"eip155:84532","romeChainId":"200010","amount":"1000000","sender":{"ethereum":"<your 0x address>"},"recipient":"<recipient on Rome>"}'
```

`量` は基準単位の文字列です。USDC は小数点以下 6 桁なので、 `"1000000"` は 1 USDC です。レスポンスには予想到着時間が `etaSeconds`に入っています。レールのセットやその他のフィールドについては、エンドポイントのレスポンスを参照してください。

## 決済の仕組み

オフチェーン API はオーケストレーター兼手数料スポンサーにすぎません。受信転送は、ユーザー署名による承認を通じてオンチェーンで決済されます。送金先への出金はオンチェーンのブリッジコントラクトを通ります。ユーザーの署名なしにユーザー資金が引き落とされる段階はありません。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rome.builders/ja/romenoapuri/bridge-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
